List Documents
curl --request GET \
--url https://api.fidly.be/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fidly.be/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fidly.be/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"type": "<string>",
"origin": "<string>",
"document_number": "<string>",
"order_number": "<string>",
"despatch_reference": "<string>",
"buyer_reference": "<string>",
"issue_date": "2023-12-25",
"due_date": "2023-12-25",
"tax_point_date": "2023-12-25",
"delivery_date": "2023-12-25",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"payment_remittance": "<string>",
"is_remittance_structured": true,
"create_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"tax_exclusive_amount": 123,
"tax_amount": 123,
"total_amount": 123,
"paid_amount": 123,
"remaining_amount": 123,
"payment_status": "<string>",
"accounting_status": "<string>",
"pdf_available": true,
"xml_available": true,
"relation_type": "<string>",
"relation_id": "<string>",
"journal_id": "<string>",
"delivery_location_id": "<string>",
"payment_terms": "<string>",
"legal_notice": "<string>",
"peppol_status": "<string>",
"mail_status": "<string>",
"attachments": [
{
"filename": "<string>",
"mimetype": "<string>"
}
],
"allowance_charges": [
{
"code": "<string>",
"type": "<string>",
"amount": 123,
"reason": "<string>",
"rate": 123
}
],
"lines": [
{
"sequence": 123,
"quantity": 123,
"vat_rate": 123,
"item_name": "<string>",
"item_description": "<string>",
"unit_price": 123,
"unit_code": "<string>",
"vat_code": "<string>",
"subtotal": 123,
"total": 123,
"tax_amount": 123,
"section_name": "<string>",
"item_properties": {},
"item_identification": "<string>",
"product_code": "<string>",
"allowance_charges": [
{
"code": "<string>",
"type": "<string>",
"amount": 123,
"reason": "<string>",
"rate": 123
}
]
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}documents
List Documents
GET
/
documents
List Documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Max items returned (1-100).
Required range:
1 <= x <= 100Number of items to skip (pagination). Capped at 10000.
Required range:
0 <= x <= 10000Filter by origin. Comma-separated list also accepted = match any (IN).
Filter by document type. Comma-separated list also accepted = match any (IN).
Filter by accounting status. Comma-separated list also accepted = match any (IN).
Filter by payment status. Comma-separated list also accepted = match any (IN).
Keep documents whose issue_date is on or after this date (YYYY-MM-DD).
Keep documents whose issue_date is on or before this date (YYYY-MM-DD).